{% extends "ajax/ajax_plain.html.twig" %}
{% block ajax_base %}
    <div>
        {% if is_deleted %}
            <strong class="warning">{{ 'Dieses MyHordes-Konto wurde gelöscht.'|trans({}, 'soul') }}</strong>
        {% endif %}
        {% if is_deleted or not dummy  %}
            {% if not during_attack %}
                {# @var \App\Entity\User user #}
                {% if app.user.id != user.id and not app.user.activeCitizen is null and not user.activeCitizen is null and app.user.activeCitizen.town == user.activeCitizen.town and app.user.activeCitizen.zone is null %}
                    <span class="link" x-ajax-href="{{ path('town_visit', {"id": user.activeCitizen.id}) }}"><img src="{{ asset('build/images/icons/home.gif') }}" alt="" /> {{ 'Haus ansehen'|trans({}, 'soul') }}</span>
                {% endif %}
                <span class="link" x-ajax-href="{{ path('soul_visit', {"id": user.id}) }}"><img src="{{ asset("build/images/icons/small_zombie.gif") }}" alt="" /> {{ 'Profil auf MyHordes'|trans({}, 'soul') }}</span>
            {% endif %}
            {% if is_granted("ROLE_CROW") %}
                <span class="link" x-ajax-href="{{ path('admin_users_account_view', {id: user.id}) }}"><img alt="" src="{{ asset('build/images/icons/small_admin.gif') }}">{{ 'Admin Dashboard'|trans({},'admin') }}</span>
            {% endif %}
            {% if not dummy %}
            <div class="link-blocks">
                {% if not user.eternalID is null %}
                    <a class="link-block" href="https://eternal-twin.net/users/{{ user.eternalID }}">
                            <img src="{{ asset('build/images/eternal-twin/icon_small.png') }}" alt="" /><br />
                            {{ 'Profil Eternal-Twin'|trans({}, 'soul') }}
                    </a>
                {% endif %}
                {% if app.user == user %}
                    <div class="link-block empty"></div>
                    <div class="link-block empty"></div>
                {% else %}
                    <a class="link-block" x-action="send-pm" x-user-connect="ulink_{{ user.id }}">
                        <img src="{{ asset('build/images/icons/mail.png') }}" alt="" /><br />
                        {{ 'Schreiben'|trans({}, 'soul') }}
                    </a>
                    {% if not isFriend %}
                        <a class="link-block" x-action="add-friend" x-friend-id="{{ user.id }}">
                            <img src="{{ asset('build/images/icons/addContact.png') }}" alt="" /><br />
                            {{ 'Kontakt hinzufügen'|trans({}, 'soul') }}
                        </a>
                    {% else %}
                        <a class="link-block" x-action="remove-friend" x-friend-id="{{ user.id }}">
                            <img src="{{ asset('build/images/icons/removeContact.png') }}" alt="" /><br />
                            {{ 'Kontakt löschen'|trans({}, 'soul') }}
                        </a>
                    {% endif %}
                {% endif %}
                {% if user.eternalID is null %}
                    <div class="link-block empty"></div>
                {% endif %}
            </div>


            {% if super %}
                <div class="note note-important">{{ 'Dieser Spieler ist ein Administrator auf diesem Server.'|trans({},'global') }}</div>
            {% elseif admin %}
                <div class="note note-important">{{ 'Dieser Spieler ist ein Entwickler von MyHordes.'|trans({},'global') }}</div>
            {% elseif oracle %}
                <div class="note note-important">{{ 'Dieser Spieler ist ein Orakel auf MyHordes.'|trans({},'global') }}</div>
            {% elseif anim %}
                <div class="note note-important">{{ 'Dieser Spieler ist ein Animateur auf MyHordes.'|trans({},'global') }}</div>
            {% elseif team %}
                <div class="note note-important">{{ 'Dieser Spieler ist Mitglied des Entwickler-Teams von MyHordes.'|trans({},'global') }}</div>
            {% endif %}

            {% if not user|is_granted('ROLE_CROW') and app.user != user %}
                <div class="row">
                    <div class="cell rw-12 right">
                        {% if not app.user|related(user,constant('App\\Entity\\SocialRelation::SocialRelationTypeBlock')) %}
                            <a class="link inline small" x-friend-id="{{ user.id }}" x-action="block_user">{{ 'Spieler blockieren'|trans({'{user}': user.name},'global') }}</a>
                        {% else %}
                            <a class="link inline small" x-friend-id="{{ user.id }}" x-action="unblock_user">{{ 'Blockade aufheben'|trans({'{user}': user.name},'global') }}</a>
                        {% endif %}
                    </div>
                </div>
            {% endif %}

            <hr class="dashed" />
            {% endif %}
        {% endif %}
        {% if not is_deleted %}
        <div class="row">
            <div class="cell rw-4">
                {% if crow and dummy %}
                    <div class="avatarcrow"><img alt="" src="{{ asset('build/images/forum/crow/crow.' ~ (app.request.locale|e('html_attr')|split('_', 2))[0] ~ '.png') }}"></div>
                {% else %}
                    <div class="avatar">
                        {% if user.avatar is null %}
                            <div class="no-avatar"><div class="cell rw-12 center">{{ user.name|slice(0,2) }}</div></div>
                        {% else %}
                            <img alt="" src="{{ path('app_web_avatar', {'uid': user.id, 'name': user.avatar.filename, 'ext': user.avatar.format}) }}">
                        {% endif %}
                    </div>
                {% endif %}
            </div>
            <div class="cell rw-8 row user-infos">
                <div class="row-flex v-center gap">
                    {% if crow and dummy %}
                        <div class="cell rw-12">{{ 'Ich beobachte euch...'|trans({},'game') }}</div>
                    {% elseif not dummy %}
                        {% if user.flag is not null %}
                            <div class="cell"><div class="user-flag small"><img alt="{{ user.flag }}" src="{{ asset('build/images/lang/any/' ~ user.flag ~ '.svg' ) }}"/></div></div>
                        {% elseif user.language is not null %}
                            <div class="cell"><img src="{{ asset("build/images/lang/" ~ user.language ~ ".png") }}" alt="{{ user.language }}" /></div>
                        {% endif %}
                        {% if user.preferredPronoun == constant("\\App\\Entity\\User::PRONOUN_MALE") %}
                            <div class="cell"><img src="{{ asset('build/images/icons/male.png') }}" alt="{{ 'Männlich'|trans({},'global') }}" /></div>
                        {% elseif user.preferredPronoun == constant("\\App\\Entity\\User::PRONOUN_FEMALE") %}
                            <div class="cell"><img src="{{ asset('build/images/icons/female.png') }}" alt="{{ 'Weiblich'|trans({},'global') }}" /></div>
                        {% endif %}
                    {% endif %}
                </div>
            </div>
        </div>
        {% if not userDesc is null and userDesc != "" %}
            <div class="row">
                <div class="userDesc">
                    {{ userDesc|raw }}
                </div>
            </div>
        {% endif %}
        {% if not isFriend and app.user != user and not dummy %}
            <div class="friend-relation not-friend mt-1">{{ 'Dieser Spieler gehört nicht zu deinen Kontakten.'|trans({}, 'soul') }}</div>
        {% endif %}
        {% endif %}
    </div>

    {{ include('ajax/flash.html.twig') }}

    <script>
        $.html.addEventListenerAll('#user-tooltip a[x-action="block_user"]','click',(e,elem) => {
            e.preventDefault();
            let source = event.target;
            let user_id = elem.getAttribute('x-friend-id');
            if (confirm(
                '{{ 'Wenn du diesen Spieler blockierst, kann er dir keine neuen Nachrichten schicken. Werdet ihr beide von einer dritten Person in eine Gruppennachricht hinzugefügt, so werden Beiträge des blockierten Spielers standartmäßig für dich versteckt.'|trans({},'global')|e('js') }}' +
                '\n\n{{ 'Möchtest du fortfahren?'|trans({},'global')|e('js') }}'
            ))
                var url = '{{ path('soul_block_control', {id: 0, action: 1}) }}';
            url = url.replace("0", user_id);
            $.ajax.easySend( url, {},
                function () {
                    $.ajax.load(target, "{{ path('soul_tooltip') }}", false, {'id': user_id});
                } );
        });

        $.html.addEventListenerAll('#user-tooltip a[x-action="unblock_user"]','click',(e,elem) => {
            e.preventDefault();
            let source = event.target;
            let user_id = elem.getAttribute('x-friend-id');
            if (confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                var url = '{{ path('soul_block_control', {id: 0, action: 0}) }}';
            url = url.replace("0", user_id);
            $.ajax.easySend( url, {},
                function () {
                    $.ajax.load(target, "{{ path('soul_tooltip') }}", false, {'id': user_id});
                });
        });

        $.html.addEventListenerAll('#user-tooltip a[x-action="add-friend"]', 'click', (e, elem) => {
            let source = event.target;
            let user_id = elem.getAttribute('x-friend-id');
            $.ajax.easySend( '{{ path('soul_friend_control', {action: 1}) }}', {'id': user_id},
                function () {
                    $.ajax.load(target, "{{ path('soul_tooltip') }}", false, {'id': user_id}, function(){
                        let userElements = document.querySelectorAll('.username[x-user-id="' + user_id + '"]');
                        for(let i = 0 ; i < userElements.length ; i++)
                            userElements[i].classList.add("is-friend");
                    });
                });
        });

        $.html.addEventListenerAll('#user-tooltip a[x-action="remove-friend"]', 'click', (e, elem) => {
            let source = event.target;
            let user_id = elem.getAttribute('x-friend-id');
            $.ajax.easySend( '{{ path('soul_friend_control', {action: 0}) }}', {'id': user_id},
                function () {
                    $.ajax.load(target, "{{ path('soul_tooltip') }}", false, {'id': user_id}, function(){
                        let userElements = document.querySelectorAll('.username[x-user-id="' + user_id + '"]');
                        for(let i = 0 ; i < userElements.length ; i++)
                            userElements[i].classList.remove("is-friend");
                    });
                });
        });

        $.html.addEventListenerAll('#user-tooltip a[x-action="send-pm"]', 'click', (e, elem) => {
            if (document.body.dataset.host === 'pm') {
                window.location.href = '{{ path('home_pm') }}/' + elem.getAttribute('x-user-connect');
            } else {
                const p = document.getElementById('postbox');
                if (p) {
                    p.setAttribute('x-post-command', elem.getAttribute('x-user-connect'));
                    p.click();
                } else alert('{{ 'Fehler beim Laden des Posteingangs.'|trans({},'global') }}')
            }
        });

        $.html.addEventListenerAll('#user-tooltip [x-ajax-href]', 'click', (e, elem) => {
            if (document.body.dataset.host === 'pm') {
                window.location.href = elem.getAttribute('x-ajax-href');
                e.preventDefault();
                e.cancelBubble = true;
            } else {
                let post = document.getElementById('post-office');
                if (post) {
                    post.classList.remove('visible');
                    document.body.style.overflow = null;
                    $.msg.togglePing(true);
                    $.msg.toggleFetch(false);
                    $.msg.restoreFetchEndpoint();
                    $.msg.setFetchRK(null);
                    $.msg.execute();
                }
            }
        });
    </script>
{% endblock %}